Subject: bug#37007: Problem with the menu-bars in mode "org" and "auctex"

From: Anders Rydvall <[email-masked]>
Date: Thu, 22 Aug 2019 14:00:30 +0200

Martin!

"messages" doesn't capture anything related to the menus as far as I can 
see. Attached screenshot is after shifting between buffers several times 
and invoking menus with F10. And different buffers have opened with 
corrupted menu items and the black bars which at every occasion is 
corrected with F10. Apparently F10 does something different to the menus 
than the mouse.

regards

Anders

Den 2019-08-22 kl. 10:07, skrev martin rudalics:
> > Dragging the mouse was one, of different, ways to test. Of course I
> > normally don't drag the mouse.
>
> OK.  Just that here, when dragging the mouse, no menu pops up since
> Emacs handles the mouse tracking itself and ignores the menu bar
> during that.
>
> > Hitting F10 invokes the correct and complete menus in the different
> > modes. Moreover a new mode does not any longer seem to inherit menus
> > from the previous used buffer. When shifting between buffers it is
> > necessary to hit F10 again to get complete menus.
>
> So we have two different issues: One is that the items shown on the
> menu bar do not correspond to the items one should see wrt the
> selected window's buffer.  The other is that popping up a specific
> menu shows blacked-out entries.  I wonder whether the second issue is
> a consequence of the former.  If so, some error should have been
> reported.  Are you sure nothing the like shows up in *Messages*?
>
> > The F10 command seems to correctly load the menus which does not
> > happen only by shifting into a certain buffer. Thus there must be
> > some problem with the invocation of the menus.
>
> What could F10 possibly do the mouse doesn't?  I'm lost.
>
> martin